;***************************************************************************
; Include file for Superclock
;
; superclk.inc
;
; Date 		10/11/02
; Version 	0.0
; Target	AT90S2313-10PC
;
; See superclk.asm for copyright information, code and comments
;
;***************************************************************************

;	VARIABLES
;	=========

;	.DEF		= R0
;	.DEF		= R1
;	.DEF		= R2
	.DEF	OFFSET	= R3	;Local time offset in hours (signed)
	.DEF	UTCHR	= R4	;Hours, UTC Time, packed BCD
	.DEF	UTCMIN	= R5	;Mins,	"	"
	.DEF	UTCSEC 	= R6	;Secs,	"	"
	.DEF	MSECL	= R7	;Millisec count
	.DEF	MSECH	= R8	;"
;	.DEF		= R9
;	.DEF		= R10
	.DEF	CMD	= R11	;command byte
;	.DEF		= R12
;	.DEF		= R13
;	.DEF		= R14
;	.DEF		= R15

;	.DEF		= R16	;
	.DEF	FLAGS	= R17	;flags
				;b7 = TICK (seconds tick)
				;b6 = PHASE
;	.DEF		= R18
	.DEF	TEMP	= R19	;temporary working register
	.DEF	TEMP2	= R20	;ditto
	.DEF	XFR	= R21	;transfer register
	.DEF	DEBUG	= R22	;
	.DEF	DELAY	= R23	;overmappeble - used only at start
	.DEF	DELAY1	= R24	;	"	"	"
	.DEF	DELAY2	= R25	;	"	"	"
	.DEF	PHASEH	= R26	;Timer sample MSB
	.DEF	PHASEL	= R27	;Timer sample LSB
;	.DEF		= R28
;	.DEF		= R29
;	.DEF	ZLO	= R30
;	.DEF	ZHI	= R31


;	PORTS, CONTROL REGISTERS and THINGS
;	===================================

;	Mostly defined in 2313DEF.INC

; LCD PARAMETERS

	.EQU	system_set	= 0x38
	.EQU	function_set	= 0x28
	.EQU	display_off	= 0x04
	.EQU	display_clear	= 0x01
	.EQU	entry_mode_set	= 0x06
	.EQU	display_on	= 0x0C




